<script setup>
const {placeholder} = defineProps({
    placeholder: {
        type: String,
        default: '请输入话题'
    }
});
const emits = defineEmits(['success']);

const change = (e) => {
    emits('success', e.split(' '));
}
</script>

<template>
    <a-mention
        prefix="#"
        @change="change"
        :allow-clear="true"
        :placeholder="placeholder">
    </a-mention>
</template>

<style scoped lang="scss">

</style>
